Subject: Re: bug#77924: 31.0.50; [Feature branch] Change marker implementation

From: Stefan Monnier <[email-masked]>
Date: Wed, 23 Apr 2025 11:36:36 -0400

[ Hi Martin, need your opinion on `marker-last-position`.  ]

Eli wrote:
>> I'd like to have a closer review of it first, so please wait for a
>> while.  When I skimmed it, I remember having several, hopefully minor,
>> aspects that stood out, and I want to take a closer look.

Please do.  I hope my rebase makes it easier.  🙂

BTW, during my rebasing I noticed the following incompatibility:

    commit 89ad510b2ebd5ed3ed8477e4a45ada3402bcedca
    Author: Gerd Möllmann <[email-masked]>
    Date:   Thu Apr 17 08:42:52 2025 +0200
    
        marker-vector.c: Move marker's position info to the array

makes it "impossible" to implement `marker-last-position`.

AFAICT this function is not used outside of Emacs at all (based on
a search of all *ELPA packages), but it *is* used in
`window--state-put-2`, since the following commit:

    commit 912e37b811107768e0cb3bc95184177f817dbdb2
    Author: Martin Rudalics <[email-masked]>
    Date:   Mon Mar 4 10:33:49 2024 +0100
    
        Fix 'set-window-configuration' and 'window-state-put'

What's the impact of breaking `marker-last-position`?

        Stefan